Subject: Re: Fwd: dma_skb_copy_datagram_iovec not EXPORTed

From: Randy Dunlap <[email-masked]>
Date: Tue, 5 Jun 2007 10:24:27 -0700

On Tue, 5 Jun 2007 10:56:58 -0400 Sam Hopkins wrote:

> Hello,
> 
> I'm forwarding along a message sent to kernelnewbies as I was directed
> to address my question to this list.  I am not a member of netdev, so
> please copy me on all discussion of this topic.
> 
> Cheers,
> 
> Sam
> 
> ---
> 
> Greetings,
> 
> I am a developer of the kernel AoE (ATA over Ethernet) driver.  I am
> attempting to add dma offloading of data receive, following in TCP's
> footsteps via config option NET_DMA.  There is a function in
> net/core/user_dma.c, dma_skb_copy_datagram_iovec, that appears to be
> exactly what I need, but this function is not EXPORTed for use by
> external modules.
> 
> Since the NET_DMA option is documented as "Network: TCP receive copy
> offload" perhaps it's just an oversight that anyone else might benefit
> from it?

Makes sense to me.  Maybe someone in the hierarchy will agree,
or you may need to just send a patch and see if it is accepted.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***